Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class CompositeContextNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.CompositeNode
                      org.jbpm.workflow.core.node.CompositeContextNode

All Implemented Interfaces:
  Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, Node, NodeContainer

Direct Known Subclasses:
  DynamicNode, EventSubProcessNode, StateNode

    public class CompositeContextNode

extends CompositeNode
implements ContextContainer

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode
`CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`CompositeContextNode()`

Method Summary
`void` | `addContext(Context context)`
`Context` | `getContext(String contextType, long id)`
`List<Context>` | `getContexts(String contextType)`
`Context` | `getDefaultContext(String contextType)`
`Context` | `resolveContext(String contextId, Object param)`
`void` | `setDefaultContext(Context context)`

Methods inherited from class org.jbpm.workflow.core.node.CompositeNode
`acceptsEvent, addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeContextNode

    public CompositeContextNode()

Method Detail

### getContexts

    public List<Context> getContexts(String contextType)

  Specified by:
    `getContexts` in interface `ContextContainer`

### addContext

    public void addContext(Context context)

  Specified by:
    `addContext` in interface `ContextContainer`

### getContext

    public Context getContext(String contextType,
                              long id)

  Specified by:
    `getContext` in interface `ContextContainer`

### setDefaultContext

    public void setDefaultContext(Context context)

  Specified by:
    `setDefaultContext` in interface `ContextContainer`

### getDefaultContext

    public Context getDefaultContext(String contextType)

  Specified by:
    `getDefaultContext` in interface `ContextContainer`

### resolveContext

    public Context resolveContext(String contextId,
                                  Object param)

  Specified by:
    `resolveContext` in interface `ContextResolver`
  Overrides:
    `resolveContext` in class `NodeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.